Bug 1330969 - match the OEM ID and OEM Table ID fields of the FADT and the RSDT to those of the SLIC
Summary: match the OEM ID and OEM Table ID fields of the FADT and the RSDT to those of...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: pre-dev-freeze
: ---
Assignee: Laszlo Ersek
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Depends On: 1248758
Blocks: 1327537
TreeView+ depends on / blocked
 
Reported: 2016-04-27 11:36 UTC by Ademar Reis
Modified: 2019-12-16 05:42 UTC (History)
25 users (show)

Fixed In Version: qemu-kvm-1.5.3-112.el7
Doc Type: If docs needed, set a value
Doc Text:
undefined
Clone Of: 1248758
Environment:
Last Closed: 2016-11-03 20:11:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2585 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2016-11-03 12:09:03 UTC

Comment 3 Laszlo Ersek 2016-05-11 12:27:46 UTC
Note for QE:

In his downstream v1 review, Michael recommended that I backport upstream 53db092ad1c8 as well.

I just did; that change however implies a small change to the test steps I wrote up in bug 1248758 comment 42 (and this difference is specific to the RHEL-7.3 qemu-kvm backport): for the DSDT table, most of the fields (OEM ID, OEM Table ID, ASL Compiler fields etc) will change with this bugfix *unconditionally* (regardless of the presence of a SLIC table). Namely:

-ACPI: DSDT ... 01137 (v01   BXPC   BXDSDT 00000001 INTL 20150619)
+ACPI: DSDT ... 01137 (v01 BOCHS  BXPCDSDT 00000001 BXPC 00000001)

So this modifies points (7) and (8), when bug 1248758 comment 42 is applied for testing the RHEL-7.3 qemu-kvm backport. Thanks.

Comment 5 Miroslav Rezanina 2016-05-16 08:06:55 UTC
Fix included in qemu-kvm-1.5.3-112.el7

Comment 7 Laszlo Ersek 2016-06-18 15:43:59 UTC
Note for QE: when verifying this BZ, no regression testing is necessary beyond what I have already written up in comment 3 here, and in bug 1248758 comment 42. (That item already contains regression tests.) Thanks.

Comment 8 Guo, Zhiyi 2016-09-12 07:00:27 UTC
Reproduce against qemu-kvm-1.5.3-111.el7.x86_64 and verified against qemu-kvm-1.5.3-122.el7.x86_64.

Test against rhel7.3 host, from (7) of https://bugzilla.redhat.com/show_bug.cgi?id=1248758#c42
Results:
-ACPI: RSDT 000000003ffffabf 00034 (v01 BOCHS  BXPCRSDT 00000001 BXPC 00000001)
-ACPI: FACP 000000003ffff177 00074 (v01 BOCHS  BXPCFACP 00000001 BXPC 00000001)
-ACPI: DSDT 000000003fffe040 01137 (v01   BXPC   BXDSDT 00000001 INTL 20150619)
+ACPI: RSDT 000000003ffffabf 00034 (v01 ABRACA DABRAXYZ 00000001 BXPC 00000001)
+ACPI: FACP 000000003ffff177 00074 (v01 ABRACA DABRAXYZ 00000001 BXPC 00000001)
+ACPI: DSDT 000000003fffe040 01137 (v01 BOCHS  BXPCDSDT 00000001 BXPC 00000001)

Comment 9 Guo, Zhiyi 2016-09-12 07:01:10 UTC
Per comment 3 and comment 8, move to verified

Comment 11 errata-xmlrpc 2016-11-03 20:11:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2585.html


Note You need to log in before you can comment on or make changes to this bug.